
From: "Andi Kleen" <ak@suse.de>

From: Keith Manning

Print a boot message for hotplug memory zones

Signed-off-by: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/x86_64/mm/srat.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN arch/x86_64/mm/srat.c~x86_64-print-a-boot-message-for-hotplug-memory-zones arch/x86_64/mm/srat.c
--- devel/arch/x86_64/mm/srat.c~x86_64-print-a-boot-message-for-hotplug-memory-zones	2005-07-27 12:36:31.000000000 -0700
+++ devel-akpm/arch/x86_64/mm/srat.c	2005-07-27 12:36:31.000000000 -0700
@@ -124,7 +124,6 @@ acpi_numa_memory_affinity_init(struct ac
 
 	if (srat_disabled() || ma->flags.enabled == 0)
 		return;
-	/* hotplug bit is ignored for now */
 	pxm = ma->proximity_domain;
 	node = setup_node(pxm);
 	if (node < 0) {
@@ -134,6 +133,10 @@ acpi_numa_memory_affinity_init(struct ac
 	}
 	start = ma->base_addr_lo | ((u64)ma->base_addr_hi << 32);
 	end = start + (ma->length_lo | ((u64)ma->length_hi << 32));
+	/* It is fine to add this area to the nodes data it will be used later*/
+	if (ma->flags.hot_pluggable == 1)
+		printk(KERN_INFO "SRAT: hot plug zone found %lx - %lx \n",
+				start, end);
 	i = conflicting_nodes(start, end);
 	if (i >= 0) {
 		printk(KERN_ERR
_
